1. Projects Settings
Rapira
  • Введение
  • JWT
    • Инструкция по созданию JWT
    • Generate JWT
      POST
  • CRYPTO MERCHANT
    • Адреса
      • Get address by currency
      • Create address by currency
      • Get address details by id
      • Get address list by currency
      • Start use address
      • Stop use address
    • Пополнения
      • Get deposits
  • MARKET
    • Get spot fees
      GET
    • Pairs
      GET
    • Token
      GET
    • Get rates JSON
      GET
    • Get rates XML
      GET
    • Get market depth
      POST
  • BALANCE
    • Get frozen balances
      GET
    • Get balance operations coins and types
      GET
    • Get balance operations
      POST
    • Get frozen balances detailed
      GET
    • Get Balances
      GET
  • SERVER TIME
    • Get server time
  • ORDER
    • Order history
    • Order details
    • Add exchange order
    • Cancel order
  • CRYPTO PAYOUT
    • Withdraw
      • Withdraw create
      • Withdraw crypto history Record
      • Withdraw crypto history
  • FIAT PAYOUT
    • Fiat
      • Withdraw fiat history
      • Withdraw fiat history Record
    • FIAT TRANSACTION
      • Fiat Transactions
      • Fiat Withdraw For Record
  • AML
    • AML balance
    • Recheck
    • Check address
    • Check transaction
  • rCode
    • Create rCode
    • rCode withdraw history
    • rCode deposit history
    • rCode details
    • Use rCode
  • OTC
    • Введение в OTC
    • Get payment types
    • Get my ads
    • Create ad
    • Update ad
    • Publish ad
    • Unpublish ad
    • Get offers
    • Fetch ads
    • Get order detail
    • Create order
    • Accept order
    • Decline order
    • Cancel order
    • Chat-history
    • Chat history page query
    • Pay order
    • Release order
    • Cancel appeal
    • Get order history
    • Create appeal
    • Send message
  • CRYPTO-PROCESSING
    • Введение
    • Создание проекта
    • Настройка проекта
    • Работа с инвойсами
    • Projects Settings
      • Get Invoices (Paginated)
        POST
      • Set deposit return address
        POST
      • Get Available Token Settings
        GET
      • Get Project Token Settings
        GET
      • Update Project Token Settings
        POST
      • Batch Update Project Token Settings
        POST
      • Get Projects
        GET
      • Edit Project
        POST
    • Invoice
      • Available Invoice Currencies
      • Create Invoice
      • Get Invoice
      • Get Available Payment Tokens for Invoice
      • Get Payment Address for Invoice
      • Manual Complete Undepaid Invoice
  • Schemas
    • CryptoProcessing
      • CryptoInvoice
      • CryptoPaymentQuote
      • CryptoDeposit
      • ProjectProcessingTokenSetting
      • ProjectProcessingTokenSettingEditRequest
      • ProjectResponse
  1. Projects Settings

Edit Project

POST
/open/crypto-processing/projects/edit
Обновляет настройки проекта.
Позволяет изменить название проекта, ссылку, webhook и статус активности проекта.
Если значение webhook изменено, для проекта генерируется новый secretKey. Новый secretKey возвращается только в ответе данного метода и не отображается в других методах получения проекта.

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.rapira.net/open/crypto-processing/projects/edit' \
--header 'Authorization: Bearer {{jwt-token}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "uuid": "607a2147-5374-468f-93ce-88911e79afa1",
    "title": "BestProject",
    "link": "https://a.com",
    "webhook": "https://api.a.com/hook",
    "enable": true
}'
Response Response Example
{
    "uuid": "607a2147-5374-468f-93ce-88911e79afae",
    "title": "BestProject",
    "link": "https://a.com",
    "webhook": "https://api.a.com/hook",
    "secretKey": "64250a31269cb515fd5eff8d8a42b3794ab899a9a72573e65fb1eff802443c4a",
    "memberId": 300000,
    "createTime": "2026-02-15 08:22:11",
    "updateTime": "2026-03-19 16:23:38",
    "enable": true,
    "type": "MERCHANT"
}
Modified at 2026-03-19 13:28:51
Previous
Get Projects
Next
Available Invoice Currencies
Built with